%global srcname fsspec

Name:           python-%{srcname}
Version:        2025.5.1
Release:        %mkrel 1
Summary:        Specification for Pythonic file system interfaces
Group:          Development/Python
License:        BSD
URL:            https://github.com/intake/filesystem_spec
Source0:        %{pypi_source}
Patch0:         fsspac-relax-dependencies.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Filesystem Spec is a project to unify various projects and classes to work with
remote filesystems and file-system-like abstractions using a standard pythonic
interface.

%package -n     python3-%{srcname}
Summary:        Specification for Pythonic file system interfaces
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Filesystem Spec is a project to unify various projects and classes to work with
remote filesystems and file-system-like abstractions using a standard pythonic
interface.

%pyproject_extras_subpkg -n python3-%{srcname} entrypoints dask git github http sftp ssh tqdm

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fsspec

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Wed Jun 04 2025 daviddavid <daviddavid> 2025.5.1-1.mga10
+ Revision: 2188023
- new version: 2025.5.1

* Sat May 03 2025 daviddavid <daviddavid> 2025.3.2-1.mga10
+ Revision: 2180612
- new version: 2025.3.2

* Mon Mar 03 2025 daviddavid <daviddavid> 2025.2.0-1.mga10
+ Revision: 2159456
- new version: 2025.2.0

* Sat Mar 01 2025 wally <wally> 2024.12.0-2.mga10
+ Revision: 2154862
- rebuild for python3.13

* Sun Dec 22 2024 daviddavid <daviddavid> 2024.12.0-1.mga10
+ Revision: 2128800
- new version: 2024.12.0

* Tue Nov 19 2024 daviddavid <daviddavid> 2024.10.0-1.mga10
+ Revision: 2117776
- new version: 2024.10.0

* Sat Sep 14 2024 daviddavid <daviddavid> 2024.9.0-1.mga10
+ Revision: 2095978
- new version: 2024.9.0

* Tue Aug 06 2024 daviddavid <daviddavid> 2024.6.1-1.mga10
+ Revision: 2083724
- new version: 2024.6.1

* Wed Jun 05 2024 daviddavid <daviddavid> 2024.6.0-1.mga10
+ Revision: 2070112
- new version: 2024.6.0

* Fri May 31 2024 daviddavid <daviddavid> 2024.5.0-1.mga10
+ Revision: 2068930
- new version: 2024.5.0

* Sun Apr 21 2024 daviddavid <daviddavid> 2024.3.1-1.mga10
+ Revision: 2060182
- new version: 2024.3.1

* Fri Feb 23 2024 daviddavid <daviddavid> 2024.2.0-2.mga10
+ Revision: 2043607
- relax aiohttp dependency

* Tue Feb 06 2024 daviddavid <daviddavid> 2024.2.0-1.mga10
+ Revision: 2037924
- new version: 2024.2.0

* Mon Dec 25 2023 wally <wally> 2023.12.2-1.mga10
+ Revision: 2021189
- new version 2023.12.2
- use %%pyproject_buildrequires
- add some extras pkgs we already have requires available

* Mon Dec 04 2023 daviddavid <daviddavid> 2023.12.0-1.mga10
+ Revision: 2013096
- new version: 2023.12.0

* Mon Oct 30 2023 daviddavid <daviddavid> 2023.10.0-1.mga10
+ Revision: 2002819
- new version: 2023.10.0

* Thu Sep 28 2023 daviddavid <daviddavid> 2023.9.2-1.mga10
+ Revision: 1991910
- new version: 2023.9.2

* Fri Sep 22 2023 daviddavid <daviddavid> 2023.9.1-1.mga10
+ Revision: 1989369
- new version: 2023.9.1

* Wed Sep 06 2023 daviddavid <daviddavid> 2023.9.0-1.mga10
+ Revision: 1984598
- new version: 2023.9.0

* Wed Aug 30 2023 daviddavid <daviddavid> 2023.6.0-1.mga10
+ Revision: 1981689
- new version: 2023.6.0

* Mon Jan 30 2023 daviddavid <daviddavid> 2023.1.0-1.mga9
+ Revision: 1937040
- new version: 2023.1.0

* Tue Jan 10 2023 daviddavid <daviddavid> 2022.11.0-1.mga9
+ Revision: 1932154
- new version: 2022.11.0
- switch to pyproject

* Wed Aug 24 2022 papoteur <papoteur> 2022.7.1-1.mga9
+ Revision: 1879900
- new 2022.7.1

* Tue Mar 29 2022 umeabot <umeabot> 2022.1.0-2.mga9
+ Revision: 1832186
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2022.1.0-1.mga9
+ Revision: 1783496
- version 2022.1.0
- removed unneeded BR python3dist(aiohttp)
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 2021.4.0-1.mga9
+ Revision: 1717476
- initial package python-fsspec

